博客:getByUrl

按网址检索博客。 立即试用查看示例

如果博客是私密博客,则需要授权。如果博客是公开博客,则无需授权即可调用此方法。

请求

HTTP 请求

GET https://www.googleapis.com/blogger/v3/blogs/byurl

参数

参数名称 说明
必需参数
url string 要检索的博客的网址。

请求正文

使用此方法时请勿提供请求正文。

响应

如果成功,此方法将在响应正文中返回 Blogs 资源

示例

注意:此方法的代码示例并未涵盖所有支持的编程语言(请参阅客户端库页面,查看支持的语言清单)。

Java

使用 Java 客户端库

String CODE_BLOG_URL = "http://code.blogger.com/";
// Configure the Java API Client for Installed Native App
HttpTransport HTTP_TRANSPORT = new NetHttpTransport();
JsonFactory JSON_FACTORY = new JacksonFactory();

// Configure the Installed App OAuth2 flow.
Credential credential = OAuth2Native.authorize(HTTP_TRANSPORT,
JSON_FACTORY, new LocalServerReceiver(),
Arrays.asList(BloggerScopes.BLOGGER));

// Construct the Blogger API access facade object.Blogge
r blogger = Blogger.builder(HTTP_TRANSPORT, JSON_FACTORY) .setA
pplicationName("Blogger-BlogGetByUrl-Snippet/1.0") .setH
ttpRequestInitializer(credential).build();
class="devsite-syntax-c1">// The request action object.GetByU
rl blogGetByUrlAction = blogger.blogs().getByUrl(); class="devsite-syntax-c1">// Configure which blog URL to look up.blogGe
tByUrlAction.setUrl(CODE_BLOG_URL); class="devsite-syntax-c1">// Restrict the result content to just the data we need.blogGe
tByUrlAction.setFields("description,name,posts/totalItems,updated");an> class="devsite-syntax-c1">// This step sends the request to the server.Blog b
log = blogGetByUrlAction.execute(); class="devsite-syntax-c1">// Now we can navigate the response.System
.out.println("Name: " + blog.getName());System
.out.println("Description: " + blog.getDescription());System
.out.println("Post Count: " + blog.getPosts().getTotalItems());System
.out.println("Last Updated: " + blog.getUpdated());

试试看!

使用下面的 API Explorer 对实际数据调用此方法,然后查看响应。